## libstropt 0.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.12)
project(stropt
		VERSION 0.0.1
		DESCRIPTION "Parse options from a string (it supports quotation, option arguments)"
		HOMEPAGE_URL "https://github.com/rd235/libstropt"
		LANGUAGES C)

include(GNUInstallDirs)
add_definitions(-D_GNU_SOURCE)
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -pedantic")

include_directories(${CMAKE_CURRENT_SOURCE_DIR})
if (PROJECT_INCLUDEDIR)
  include_directories(${PROJECT_INCLUDEDIR})
  execute_process(COMMAND cp ${CMAKE_CURRENT_SOURCE_DIR}/stropt.h ${PROJECT_INCLUDEDIR}/.)
endif (PROJECT_INCLUDEDIR)

set(LIBRARY_OUTPUT_PATH ${CMAKE_BINARY_DIR}/lib)

set(STROPT_SOURCES stropt.c)
add_library(stropt SHARED ${STROPT_SOURCES})

set_target_properties(stropt PROPERTIES VERSION ${PROJECT_VERSION}
        SOVERSION ${PROJECT_VERSION_MAJOR})

configure_file(stropt.pc.in stropt.pc @ONLY)

install(TARGETS stropt LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR})
install(FILES stropt.h DESTINATION ${CMAKE_INSTALL_INCLUDEDIR})
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/stropt.pc
		DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)

add_subdirectory(man)

=== debian/changelog ===
libstropt (0.1-2) unstable; urgency=medium

  * d/control: Set Maintainer to Debian VirtualSquare Team
  * d/control: Fix Vcs
  * Initial Debian release (Closes: #965315)

 -- Andrea Capriotti <capriott@debian.org>  Sun, 19 Jul 2020 12:20:25 +0200

libstropt (0.1-1) unstable; urgency=medium

  * Initial release

 -- Renzo Davoli <renzo@cs.unibo.it>  Sun, 05 Jul 2020 17:23:43 +0200

=== debian/control ===
Source: libstropt
Priority: optional
Maintainer: Debian VirtualSquare Team <virtualsquare@cs.unibo.it>
Uploaders: Mattia Biondi <mattiabiondi1@gmail.com>, Renzo Davoli <renzo@cs.unibo.it>, Andrea Capriotti <capriott@debian.org>
Build-Depends: debhelper-compat (= 13), cmake (>= 3.12)
Standards-Version: 4.5.0
Section: libs
Homepage: http://www.virtualsquare.org/
Vcs-Git: https://salsa.debian.org/virtualsquare-team/libstropt.git
Vcs-Browser: https://salsa.debian.org/virtualsquare-team/libstropt
Rules-Requires-Root: no

Package: libstropt-dev
Section: libdevel
Architecture: any
Depends: libstropt0 (= ${binary:Version}), ${misc:Depends}
Description: parse options from a string (supports quotation, arguments - devel)
 This small library parses a list of options from a string. Options can
 be separated by spaces, commas, semicolons, tabs or new line.  Options
 may have arguments.  It is possible to protect symbols and spaces using
 quote, double quote and backslash.
 .
 This package contains the development files used for C programs.

Package: libstropt0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: parse options from a string (supports quotation, arguments - library)
 This small library parses a list of options from a string. Options can
 be separated by spaces, commas, semicolons, tabs or new line.  Options
 may have arguments.  It is possible to protect symbols and spaces using
 quote, double quote and backslash.
 .
 This package contains the shared library.

## libstropt 0.1.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -31,3 +31,6 @@
 		DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)
 
 add_subdirectory(man)
+
+add_custom_target(uninstall
+  "${CMAKE_COMMAND}" -P "${PROJECT_SOURCE_DIR}/Uninstall.cmake")

=== debian/changelog ===
libstropt (0.1.2-1) unstable; urgency=medium

  * New Upstream Release
  * d/control: Standard version bumped to 4.5.1

 -- Andrea Capriotti <capriott@debian.org>  Fri, 08 Jan 2021 19:37:36 +0100

libstropt (0.1.1-1) unstable; urgency=medium

  * New Upstream release

 -- Andrea Capriotti <capriott@debian.org>  Sat, 26 Sep 2020 13:01:06 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Maintainer: Debian VirtualSquare Team <virtualsquare@cs.unibo.it>
 Uploaders: Mattia Biondi <mattiabiondi1@gmail.com>, Renzo Davoli <renzo@cs.unibo.it>, Andrea Capriotti <capriott@debian.org>
 Build-Depends: debhelper-compat (= 13), cmake (>= 3.12)
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Section: libs
 Homepage: http://www.virtualsquare.org/
 Vcs-Git: https://salsa.debian.org/virtualsquare-team/libstropt.git

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%libvdestack-$1.tar.gz%" \
   https://github.com/rd235/libstropt/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
